---
title: "eth_getBlockTransactionCountByHash"
description: "按区块哈希返回区块内交易数量（Robinhood Chain Mainnet）"
url: "https://blockreq.com/docs/zh-cn/build/api-reference/robinhood/eth_getBlockTransactionCountByHash/"
---

# eth_getBlockTransactionCountByHash

**网络：** Robinhood Chain Mainnet · 主网 · Chain ID `4663`（`0x1237`）

**计为 1 个 Request。** 计费规则见 [Request Counting](https://blockreq.com/docs/zh-cn/pricing/request-counting/index.md)。

## 描述

按区块哈希返回区块内交易数量。

## 参数

| 参数        | 类型  | 必填 | 说明     |
| ----------- | ----- | ---- | -------- |
| `blockHash` | `hex` | 是   | 区块哈希 |

## 请求

```json
{
  "jsonrpc": "2.0",
  "method": "eth_getBlockTransactionCountByHash",
  "params": ["0x..."],
  "id": 1
}
```

## 代码示例

**cURL**

```bash
curl -X POST https://robinhood-mainnet-rpc.blockreq.com/v1/rpc/public \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByHash","params":["0x..."],"id":1}'
```

**TypeScript**

```typescript
const response = await fetch("https://robinhood-mainnet-rpc.blockreq.com/v1/rpc/public", {
  method: "POST",
  headers: { "Content-Type": "application/json" },
  body: JSON.stringify({
  "jsonrpc": "2.0",
  "method": "eth_getBlockTransactionCountByHash",
  "params": [
    "0x..."
  ],
  "id": 1
}),
});
const data = await response.json();
console.log(data.result);
```

**Python**

```python
import requests

response = requests.post(
    "https://robinhood-mainnet-rpc.blockreq.com/v1/rpc/public",
    json={
  "jsonrpc": "2.0",
  "method": "eth_getBlockTransactionCountByHash",
  "params": [
    "0x..."
  ],
  "id": 1
}
)
print(response.json()["result"])
```

**Go**

```go
package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"io"
	"net/http"
)

func main() {
	payload := []byte(`{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByHash","params":["0x..."],"id":1}`)
	resp, err := http.Post(
		"https://robinhood-mainnet-rpc.blockreq.com/v1/rpc/public",
		"application/json",
		bytes.NewBuffer(payload),
	)
	if err != nil {
		panic(err)
	}
	defer resp.Body.Close()

	body, _ := io.ReadAll(resp.Body)
	var result map[string]interface{}
	json.Unmarshal(body, &result)
	fmt.Println(result["result"])
}
```

**viem**

```typescript
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://robinhood-mainnet-rpc.blockreq.com/v1/rpc/public"),
});

const result = await client.request({
  method: "eth_getBlockTransactionCountByHash",
  params: ["0x..."],
});
console.log(result);
```

**Foundry**

```bash
cast rpc --rpc-url https://robinhood-mainnet-rpc.blockreq.com/v1/rpc/public eth_getBlockTransactionCountByHash 0x...
```

**Hardhat**

```javascript
const { ethers } = require("hardhat");

async function main() {
  const provider = new ethers.JsonRpcProvider("https://robinhood-mainnet-rpc.blockreq.com/v1/rpc/public");
  const result = await provider.send("eth_getBlockTransactionCountByHash", ["0x..."]);
  console.log(result);
}

main();
```
